#include "script_component.hpp"

class CfgPatches {
    class ADDON {
        name = COMPONENT_NAME;
        units[] = {
            // Uniforms
            QCLASS(Item_Uniform_Combat_LS_PMC_RGR),
            QCLASS(Item_Uniform_Combat_LS_PMC_TN),
            QCLASS(Item_Uniform_Combat_LS_PMC_BLK_TN),
            QCLASS(Item_Uniform_Combat_LS_PMC_RGR_TN),
            QCLASS(Item_Uniform_Combat_LS_PMC_BLK),
            QCLASS(Item_Uniform_Combat_TS_PMC_RGR),
            QCLASS(Item_Uniform_Combat_TS_PMC_TN),
            QCLASS(Item_Uniform_Combat_TS_PMC_BLK_TN),
            QCLASS(Item_Uniform_Combat_TS_PMC_RGR_TN),
            QCLASS(Item_Uniform_Combat_TS_PMC_BLK),
            QCLASS(Item_Uniform_Combat_RS_PMC_RGR),
            QCLASS(Item_Uniform_Combat_RS_PMC_TN),
            QCLASS(Item_Uniform_Combat_RS_PMC_BLK_TN),
            QCLASS(Item_Uniform_Combat_RS_PMC_RGR_TN),
            QCLASS(Item_Uniform_Combat_RS_PMC_BLK),

            // Public Units
            QCLASS(Unit_I_Contractor_RGR),
            QCLASS(Unit_I_Contractor_TN),
            QCLASS(Unit_I_Contractor_BLK_TN),
            QCLASS(Unit_I_Contractor_RGR_TN),
            QCLASS(Unit_I_Contractor_BLK)
        };
        weapons[] = {
            // Long Sleeves
            QCLASS(Uniform_Combat_LS_PMC_RGR),
            QCLASS(Uniform_Combat_LS_PMC_TN),
            QCLASS(Uniform_Combat_LS_PMC_BLK_TN),
            QCLASS(Uniform_Combat_LS_PMC_RGR_TN),
            QCLASS(Uniform_Combat_LS_PMC_BLK),

            // TShirts
            QCLASS(Uniform_Combat_TS_PMC_RGR),
            QCLASS(Uniform_Combat_TS_PMC_TN),
            QCLASS(Uniform_Combat_TS_PMC_BLK_TN),
            QCLASS(Uniform_Combat_TS_PMC_RGR_TN),
            QCLASS(Uniform_Combat_TS_PMC_BLK),

            // Rolled Sleeves
            QCLASS(Uniform_Combat_RS_PMC_RGR),
            QCLASS(Uniform_Combat_RS_PMC_TN),
            QCLASS(Uniform_Combat_RS_PMC_BLK_TN),
            QCLASS(Uniform_Combat_RS_PMC_RGR_TN),
            QCLASS(Uniform_Combat_RS_PMC_BLK)
        };
        requiredVersion = REQUIRED_VERSION;
        requiredAddons[] = {"forge_factions_main"};
        authors[] = {"J. Schmidt", "Creedcoder"};
        author = "IDSolutions";
        VERSION_CONFIG;
    };
};

#include "CfgOrbat.hpp"
#include "CfgVehicles.hpp"
#include "CfgWeapons.hpp"